Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.url
Class ContentUrlFilterInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.workplace.wcm.api.exceptions.WCMException
                  com.ibm.workplace.wcm.api.extensions.url.ContentUrlFilterInstantiationException

All Implemented Interfaces:
  Localized, java.io.Serializable

    public class ContentUrlFilterInstantiationException

extends WCMException
implements Localized

Exception that occurred during instantiation of a content URL generation filter

Since:
  8.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`ERR_APTRIX`

Constructor Summary
`ContentUrlFilterInstantiationException()` Constructs a new exception with no message or details
`ContentUrlFilterInstantiationException(java.lang.String detail)` Constructs a new exception with the given message.
`ContentUrlFilterInstantiationException(java.lang.String detail, java.lang.Throwable cause)` Constructs a new exception with the given message and an exception that caused this exception
`ContentUrlFilterInstantiationException(java.lang.Throwable cause)` Constructs a new exception from an exception that caused this exception
`ContentUrlFilterInstantiationException(java.lang.Throwable cause, Localized localized)` Constructs a new exception from an exception that caused this exception and a localized object

Method Summary
`java.lang.String` | `getDescription(java.util.Locale locale)` Returns the localized message for this exception.
`ListModel<java.util.Locale>` | `getLocales()` Locales suppported by the Localized message.
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()` Retrieves the message that accompanies this exception.
`java.lang.String` | `getTitle(java.util.Locale locale)` Returns the localized message for this exception.

Methods inherited from class com.ibm.workplace.wcm.api.exceptions.WCMException
`getCause, getErrorCode, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContentUrlFilterInstantiationException

    public ContentUrlFilterInstantiationException()

  Constructs a new exception with no message or details

### ContentUrlFilterInstantiationException

    public ContentUrlFilterInstantiationException(java.lang.Throwable cause)

  Constructs a new exception from an exception that caused this exception

  Parameters:
    `cause` - the exception that caused this exception

### ContentUrlFilterInstantiationException

    public ContentUrlFilterInstantiationException(java.lang.Throwable cause,
                                                  Localized localized)

  Constructs a new exception from an exception that caused this exception and a localized object

  Parameters:
    `cause` - the exception that caused this exception
    `localized` - object used to get localized information

### ContentUrlFilterInstantiationException

    public ContentUrlFilterInstantiationException(java.lang.String detail)

  Constructs a new exception with the given message.

  Parameters:
    `detail` - the message

### ContentUrlFilterInstantiationException

    public ContentUrlFilterInstantiationException(java.lang.String detail,
                                                  java.lang.Throwable cause)

  Constructs a new exception with the given message and an exception that caused this exception

  Parameters:
    `detail` - the message
    `cause` - the exception that caused this exception

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Description copied from class: `WCMException`
  Retrieves the message that accompanies this exception. The message also includes the causes exception if there is a cause exception.

  Overrides:
    `getMessage` in class `WCMException`
  Returns:
    the exception's message

### getTitle

    public java.lang.String getTitle(java.util.Locale locale)

  Description copied from class: `WCMException`
  Returns the localized message for this exception.

  Specified by:
    `getTitle` in interface `Localized`
  Overrides:
    `getTitle` in class `WCMException`
  Parameters:
    `locale` - the desired Locale for the message
  Returns:
    localized message for this exception.

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Description copied from class: `WCMException`
  Returns the localized message for this exception.

  Specified by:
    `getDescription` in interface `Localized`
  Overrides:
    `getDescription` in class `WCMException`
  Parameters:
    `locale` - the desired Locale for the message
  Returns:
    localized message for this exception.

### getLocales

    public ListModel<java.util.Locale> getLocales()

  Description copied from class: `WCMException`
  Locales suppported by the Localized message.

  Specified by:
    `getLocales` in interface `Localized`
  Overrides:
    `getLocales` in class `WCMException`
  Returns:
    the locales supported by the localized message if one is defined otherwise returns an empty list.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD